<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.DarkActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <style name="custom_dialog" parent="@android:style/Theme.Dialog">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:background">#00000000</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowNoTitle">true</item>
    </style>

    <style name="FullscreenTheme" parent="Theme.AppCompat.DayNight.NoActionBar">
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="android:windowActionBarOverlay">true</item>
        <item name="android:windowBackground">@color/white</item>
    </style>

    <style name="wrap_layout2">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_marginLeft">6dp</item>
        <item name="android:padding">2px</item>
        <item name="android:background">@drawable/btn_selector2</item>
    </style>

    <!-- 最外层样式 -->
    <style name="wrap_layout">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_marginLeft">8dp</item>
        <item name="android:layout_marginRight">8dp</item>
        <item name="android:layout_marginTop">5dp</item>
        <item name="android:padding">1px</item>
        <item name="android:background">@drawable/btn_selector2</item>
    </style>

    <style name="wrap_layout_red">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:padding">2px</item>
        <item name="android:background">@drawable/btn_error_selector</item>
    </style>
    <style name="wrap_layout_yellow">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:padding">2px</item>
        <item name="android:background">@drawable/btn_error_yellow_selector</item>
    </style>

    <style name="wrap_layout_blue">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:padding">2px</item>
        <item name="android:background">@drawable/btn_blue_selector</item>
    </style>

    <style name="wrap_layout_luc_blue">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_marginLeft">8dp</item>
        <item name="android:layout_marginRight">8dp</item>
        <item name="android:layout_marginTop">5dp</item>
        <item name="android:padding">1px</item>
        <item name="android:background">@drawable/bg_layout_shape_luc_blue</item>
    </style>

    <style name="wrap_layout_white">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_marginLeft">8dp</item>
        <item name="android:layout_marginRight">8dp</item>
        <item name="android:layout_marginTop">5dp</item>
        <item name="android:padding">1px</item>
        <item name="android:background">@drawable/bg_layout_shape_white</item>
    </style>

    <style name="wrap_layout_btn_login">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_marginLeft">8dp</item>
        <item name="android:layout_marginRight">8dp</item>
        <item name="android:layout_marginTop">5dp</item>
        <item name="android:padding">1px</item>
        <item name="android:background">@drawable/bg_layout_shape_btn_login</item>
    </style>

    <style name="wrap_layout_btn_blue">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_marginLeft">8dp</item>
        <item name="android:layout_marginRight">8dp</item>
        <item name="android:layout_marginTop">5dp</item>
        <item name="android:padding">1px</item>
        <item name="android:background">@drawable/bg_layout_shape_btn_blue</item>
    </style>

    <style name="wrap_layout_login">
        <item name="android:orientation">vertical</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_marginLeft">8dp</item>
        <item name="android:layout_marginRight">8dp</item>
        <item name="android:layout_marginTop">5dp</item>
        <item name="android:padding">1px</item>
        <item name="android:background">@drawable/bg_layout_shape_login</item>
    </style>

    <style name="loginingDlg" parent="@android:style/Theme.Dialog">
        <item name="android:windowIsFloating">true</item>
        <!-- 设置窗口浮动 -->
        <item name="android:windowFrame">@null</item>
        <!-- 设置无边框 -->
        <item name="android:windowNoTitle">true</item>
        <!-- 设置无标题 -->
        <item name="android:windowBackground">@android:color/transparent</item>
        <!-- 设置背景颜色 透明 -->
        <item name="android:backgroundDimEnabled">true</item>
        <!-- 是否模糊 -->
        <item name="android:windowIsTranslucent">true</item>
        <!-- 半透明 -->
    </style>

    <!--CustomDialog-->
    <style name="customDialog" >
        <item name="android:windowFrame">@null</item><!--取消默认Dialog的windowFrame框-->
        <item name="android:windowNoTitle">true</item><!--设置无标题Dialog-->
        <item name="android:backgroundDimEnabled">true</item><!--是否四周变暗-->
        <item name="android:windowIsFloating">true</item><!-- 是否悬浮在activity上 -->
        <item name="android:windowContentOverlay">@null</item><!-- 取消默认ContentOverlay背景 -->
        <item name="android:windowBackground">@android:color/transparent</item><!--取消window默认背景 不然四角会有黑影-->
    </style>

    <style name="CustomCheckboxTheme" parent="@android:style/Widget.CompoundButton.CheckBox">
        <item name="android:button">@drawable/blue_selector</item>
    </style>

</resources>
